= References

[[_1]]
* [1] link:https://www.etsi.org/deliver/etsi_es/201800_201899/20187301/04.01.01_60/es_20187301v040101p.pdf[Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3. Part 1: Core Language European Telecommunications Standards Institute ES 201 873-1 Version 4.1.1, July 2009]

[[_2]]
* [2] link:https://www.etsi.org/deliver/etsi_es/201800_201899/20187304/04.01.01_60/es_20187304v040101p.pdf[Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3. Part 4: TTCN-3 Operational Semantics European Telecommunications Standards Institute. ES 201 873-4 Version 4.1.1, June 2009]

[[_3]]
* [3] link:https://www.etsi.org/deliver/etsi_es/201800_201899/20187307/04.01.01_60/es_20187307v040101p.pdf[Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3. Part 7: Using ASN.1 with TTCN-3 European Telecommunications Standards Institute. ES 201 873-7 Version 4.1.1, July 2009]

[[_4]]
* [4] link:https://www.etsi.org/deliver/etsi_es/201800_201899/20187309/04.01.01_60/es_20187309v040101p.pdf[Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3. Part 9: Using XML Schema with TTCN-3 European Telecommunications Standards Institute. ES 201 873-9 Version 4.1.1, June 2009]

[[_5]]
* [5] link:https://www.etsi.org/deliver/etsi_es/202700_202799/202785/01.05.01_60/es_202785v010501p.pdf[Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3. TTCN-3 Language Extensions: Behaviour Types European Telecommunications Standards Institute. ES 202 785 Version 1.5.1, Aug 2017]

[[_6]]
* [6] link:https://www.itu.int/rec/T-REC-X.680-200207-S[ITU-T, X.680, Information TechnologyAbstract Syntax Notation One (ASN.1): Specification of basic notation International Telecommunication Union, July 2002]

[[_7]]
* [7] link:https://www.itu.int/rec/T-REC-X.681-200207-S[ITU-T, X.681, Information TechnologyAbstract Syntax Notation One (ASN.1): Information object specification International Telecommunication Union, July 2002]

[[_8]]
* [8] link:https://www.itu.int/rec/T-REC-X.682-200207-S[ITU-T, X.682, Information Technology Abstract Syntax Notation One (ASN.1): Constraint specification International Telecommunication Union, July 2002]

[[_9]]
* [9] link:https://www.itu.int/rec/T-REC-X.683-200207-S[ITU-T, X.683, Information Technology Abstract Syntax Notation One (ASN.1): Parameterization of ASN.1 specification International Telecommunication Union, July 2002]

[[_10]]
* [10] link:https://www.itu.int/rec/T-REC-X.690-200207-S[ITU-T, X.690, Information Technology ASN.1 encoding rules: Specification of Basic Encoding Rules (BER), Canonical Encoding Rules (CER) and Distinguished Encoding Rules (DER)International Telecommunication Union, July 2002]

[[_11]]
* [11] ISO/IEC 10646-1, Information technology - Universal Multiple-Octet Coded Character Set (UCS) - Part 1: Architecture and Basic Multilingual Plane, Second edition, 200009-15

[[_12]]
* [12] link:https://tools.ietf.org/html/rfc3629[RFC3629: UTF-8, a transformation format of ISO 10646]

[[_13]]
* [13] link:https://gitlab.eclipse.org/eclipse/titan/titan.core/blob/master/usrguide/userguide/[User Guide for TITAN TTCN-3 Test Executor]

[[_14]]
* [14] link:https://gitlab.eclipse.org/eclipse/titan/titan.core/blob/master/usrguide/installationguide/[Installation guide for TITAN TTCN-3 Test Executor]

[[_15]]
* [15] link:https://gitlab.eclipse.org/eclipse/titan/titan.core/blob/master/usrguide/releasenotes/[Release Notes for TITAN TTCN-3 Test Executor]

[[_16]]
* [16] link:https://gitlab.eclipse.org/eclipse/titan/titan.core/blob/master/usrguide/apiguide/[API Technical Reference for TITAN TTCN-3 Test Executor]

[[_17]]
* [17] link:https://gitlab.eclipse.org/eclipse/titan/titan.EclipsePlug-ins/tree/master/org.eclipse.titan.designer/docs/Eclipse_Designer_userguide/[User Guide for the TITAN Designer for the Eclipse]

[[_18]]
* [18] link:https://www.etsi.org/deliver/etsi_es/201800_201899/20187301/04.03.01_60/es_20187301v040301p.pdf[ETSI ES 201 373-1 V4.3.1 (2011-06)]

[[_19]]
* [19] link:http://gask2web.ericsson.se/service/get?DocNo=1092-212&Lang=EN&Rev=N&Format=PDFV1R2[1092-212 Uen (EN/LZB 101 01/1D) Product Changes]

[[_20]]
* [20] link:https://www.itu.int/rec/T-REC-X.696-201508-I[ITU-T, X.696, Information TechnologyASN.1 encoding rules: Specification of Octet Encoding Rules (OER) International Telecommunication Union, August 2015]

[[_21]]
* [21] link:https://www.etsi.org/deliver/etsi_es/202700_202799/202781/01.04.01_60/es_202781v010401p.pdf[ETSI ES 202 781 V1.4.1. (2015-06 Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3; TTCN-3 Language Extensions: Configuration and Deployment Support)]

[[_22]]
* [22] link:https://tools.ietf.org/html/rfc7049[RFC7049: Concise Binary Object Representation (CBOR) (October 2013)]

[[_23]]
* [23] link:http://bsonspec.org/spec.html[BSON specification version 1.1]

[[_24]]
* [24] link:https://docs.mongodb.com/manual/reference/mongodb-extended-json/#bson-data-types-and-associated-representations[MongoDB Extended JSON document]

[[_25]]
* [25] link:https://www.etsi.org/deliver/etsi_es/201800_201899/20187311/04.08.01_60/es_20187311v040801p.pdf[Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3. Part 11: Using JSON with TTCN-3 European Telecommunications Standards Institute. ES 201 873-11 Version 4.8.1, May 2018]

[[_26]]
* [26] link:https://www.etsi.org/deliver/etsi_es/202700_202799/202782/01.03.01_60/es_202782v010301p.pdf[ETSI ES 202 782 V1.3.1. (2015-06 Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3; TTCN-3 Language Extensions: TTCN-3 Performance and Real Time Testing)]

[[_27]]
* [27] link:https://www.etsi.org/deliver/etsi_es/203700_203799/203790/01.01.01_60/es_203790v010101p.pdf[ETSI ES 203 790 V1.1.1. (2015-06 Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3; TTCN-3 Language Extensions: Object-Oriented Features)]

[[_28]]
* [28] link:https://www.etsi.org/deliver/etsi_es/203000_203099/203022/01.04.01_60/es_203022v010401p.pdf[ETSI ES 203 790 V1.1.1. (2015-06 Methods for Testing and Specification (MTS); The Testing and Test Control Notation version 3; TTCN-3 Language Extension: Advanced Matching)]

[[_29]]
* [29] link:https://www.itu.int/rec/T-REC-X.691-202102-I[ITU-T, X.691, Information technology - ASN.1 encoding rules: Specification of Packed Encoding Rules (PER)]

[[_30]]
* [30] link:https://gitlab.eclipse.org/eclipse/titan/titan.core/blob/master/usrguide/asn1enc_userguide/[User Guide for TITAN Standalone ASN.1 Encoder]
